unit OptsUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TOptionsForm = class(TForm)
    GroupBox1: TGroupBox;
    SortFieldsCheck: TCheckBox;
    ShowGlyphsCheck: TCheckBox;
    GroupBox2: TGroupBox;
    MultiColumnCheck: TCheckBox;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    TableNamesCheck: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionsForm: TOptionsForm;

implementation

uses DemoUnit;

{$R *.DFM}

procedure TOptionsForm.FormShow(Sender: TObject);
begin
  with DemoForm do begin
    SortFieldsCheck.Checked := SelectDlg.SortFields;
    TableNamesCheck.Checked := SelectDlg.AddTableName;
    ShowGlyphsCheck.Checked := SelectDlg.SortFields;
    MultiColumnCheck.Checked := LookupDlg.MultiColumn;
  end;
end;

procedure TOptionsForm.OKBtnClick(Sender: TObject);
begin
  with DemoForm do begin
    with SortFieldsCheck do begin
      SelectDlg.SortFields  := Checked;
      FilterDlg.SortFields  := Checked;
      FilterBldr.SortFields := Checked;
      OrderDlg.SortFields   := Checked;
      DefineDlg.SortFields  := Checked;
      ModifyDlg.SortFields  := Checked;
      LookupDlg.SortFields  := Checked;
    end;
    with ShowGlyphsCheck do begin
      SelectDlg.ShowGlyphs  := Checked;
      FilterDlg.ShowGlyphs  := Checked;
      FilterBldr.ShowGlyphs := Checked;
      GroupDlg.ShowGlyphs   := Checked;
      OrderDlg.ShowGlyphs   := Checked;
      DefineDlg.ShowGlyphs  := Checked;
      ModifyDlg.ShowGlyphs  := Checked;
      LookupDlg.ShowGlyphs  := Checked;
      Archiver.ShowGlyphs   := Checked;
      EditDlg.BorBtns       := Checked;
    end;
    with TableNamesCheck do begin
      SelectDlg.AddTableName  := Checked;
      FilterDlg.AddTableName  := Checked;
      FilterBldr.AddTableName := Checked;
      GroupDlg.AddTableName   := Checked;
      OrderDlg.AddTableName   := Checked;
      DefineDlg.AddTableName  := Checked;
      LookupDlg.AddTableName  := Checked;
    end;
    LookupDlg.MultiColumn := MultiColumnCheck.Checked;
  end;
end;

end.
