unit UpdtUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, StdCtrls, ExtCtrls, qiQuery;

type
  TUpdateForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    SelectBtn: TButton;
    ScriptMemo: TMemo;
    ApplyBtn: TButton;
    FilterBtn: TButton;
    ModifyRadio: TRadioButton;
    InsertRadio: TRadioButton;
    DeleteRadio: TRadioButton;
    UpdateQuery: TQuery;
    EditBtn: TButton;
    procedure SelectBtnClick(Sender: TObject);
    procedure FilterBtnClick(Sender: TObject);
    procedure UpdateRadioClick(Sender: TObject);
    procedure ApplyBtnClick(Sender: TObject);
    procedure EditBtnClick(Sender: TObject);
  private
    procedure UpdateBtns;
  public
  end;

var
  UpdateForm: TUpdateForm;

implementation

uses DemoUnit;

{$R *.DFM}

procedure TUpdateForm.SelectBtnClick(Sender: TObject);
begin
  DemoForm.ModifyDlg.Execute;
  UpdateBtns;
end;

procedure TUpdateForm.FilterBtnClick(Sender: TObject);
begin
  DemoForm.FilterDlg.Execute(fkUpdate);
  UpdateBtns;
end;

procedure TUpdateForm.UpdateRadioClick(Sender: TObject);
begin
  with DemoForm, UpdateInfo do begin
    UpdateKind := TUpdateKind((Sender as TRadioButton).Tag);
    UpdateInfoChange(nil);
    UpdateBtns;
  end;
end;

procedure TUpdateForm.ApplyBtnClick(Sender: TObject);
begin
  UpdateQuery.ExecSQL;
  MessageDlg('Update successfully applied', mtInformation, [mbOK], 0);
end;

procedure TUpdateForm.EditBtnClick(Sender: TObject);
begin
  DemoForm.EditDlg.Execute(UpdateQuery.SQL);
  UpdateBtns;
end;

procedure TUpdateForm.UpdateBtns;
begin
  with DemoForm.UpdateInfo do
    FilterBtn.Enabled :=
      (ModifyRadio.Checked and (Updates.Count > 0)) or
      (DeleteRadio.Checked and (UpdateTable <> nil));
  ApplyBtn.Enabled := UpdateQuery.SQL.Count > 0;
end;

end.
